| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PublicationMatchedStatus Struct Reference

A structure storing the publication status. More...

`#include <PublicationMatchedStatus.hpp>`

Inheritance diagram for PublicationMatchedStatus:
[legend]

## Public Attributes

InstanceHandle_t | last_subscription_handle
| Handle to the last reader that matched the writer causing the status to change.
Public Attributes inherited from MatchedStatus
int32_t | total_count = 0
| Total cumulative count the concerned reader discovered a match with a writer.
int32_t | total_count_change = 0
| The change in total_count since the last time the listener was called or the status was read.
int32_t | current_count = 0
| The number of writers currently matched to the concerned reader.
int32_t | current_count_change = 0
| The change in current_count since the last time the listener was called or the status was read.

## Additional Inherited Members

Public Member Functions inherited from MatchedStatus
| MatchedStatus ()=default
| Constructor.
| ~MatchedStatus ()=default
| Destructor.

## Detailed Description

A structure storing the publication status.

## Member Data Documentation

## ◆ last_subscription_handle

InstanceHandle_t last_subscription_handle

Handle to the last reader that matched the writer causing the status to change.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/core/status/PublicationMatchedStatus.hpp